Bug 1255936 - libsbml puts private module in top level python namespace
libsbml puts private module in top level python namespace
Status: NEW
Product: Fedora
Classification: Fedora
Component: libsbml (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 22:50 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2017-02-17 14:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2015-08-21 22:50:25 EDT
Description of problem:
This should probably be fixed upstream, but I noticed this while looking at the .pth file:

libsbml.pth add site-packages/libsbml to sys.path, in effect putting _libsbml.so, libsbml.py in the top level python namespace. Instead, libsbml.py should be renamed to __init__.py, and the .pth file should be nuked.
Comment 1 Jan Kurik 2016-02-24 08:39:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.